Package org.springframework.web.servlet.handler

# Class HandlerMappingIntrospector.CachedResult

java.lang.Object
org.springframework.web.servlet.handler.HandlerMappingIntrospector.CachedResult

Enclosing class:
  HandlerMappingIntrospector

public static final class HandlerMappingIntrospector.CachedResult extends Object
Container for a `MatchableHandlerMapping` and `CorsConfiguration` for a given request matched by dispatcher type and requestURI.

Since:
  6.0.14

## Method Summary

Modifier and Type
Method
Description
`org.springframework.web.cors.CorsConfiguration`
`getCorsConfig()`
`MatchableHandlerMapping`
`getHandlerMapping()`
`static HandlerMappingIntrospector.CachedResult`
`getResultFor(HttpServletRequest request)`
Return a `HandlerMappingIntrospector.CachedResult` that matches the given request.
`boolean`
`matches(HttpServletRequest request)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### matches

public boolean matches(HttpServletRequest request)

### getHandlerMapping

@Nullable public MatchableHandlerMapping getHandlerMapping() throws Exception

Throws:
  `Exception`

### getCorsConfig

@Nullable public org.springframework.web.cors.CorsConfiguration getCorsConfig()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getResultFor

@Nullable public static HandlerMappingIntrospector.CachedResult getResultFor(HttpServletRequest request)
Return a `HandlerMappingIntrospector.CachedResult` that matches the given request.